### Constructor

# Gm DeviceInfo new

since: 0.0.1

#### Declaration [src]

    GmDeviceInfo*
    gm_device_info_new (
      const char* const* compatibles
    )

#### Description [src]

Gets device information based on the passed in device tree compatibles.

Available since: 0.0.1

#### Parameters

`compatibles`

  Type: `const char* const*`

  Device tree compatibles.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GmDeviceInfo`

The known device information.

The caller of the function takes ownership of the data, and is responsible for freeing it.